/*****************************************************************************
*!
*! FILE NAME  : fwinfo.h
*!
*! DESCRIPTION: Functions for reading image info from image info area in flash.
*!
*! ---------------------------------------------------------------------------
*! (C) Copyright 2006-2007, Axis Communications AB, LUND, SWEDEN
*!
*! This program is free software; you can redistribute it and/or modify
*! it under the terms of the GNU Lesser General Public License as published by
*! the Free Software Foundation; either version 2.1 of the License, or
*! (at your option) any later version.
*!
*! This program is distributed in the hope that it will be useful,
*! but WITHOUT ANY WARRANTY; without even the implied warranty of
*! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*! GNU Lesser General Public License for more details.
*!
*! You should have received a copy of the GNU Lesser General Public License
*! along with this program; if not, write to the Free Software
*! Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*!
*!***************************************************************************/

#ifndef _FWINFO_H
#define _FWINFO_H

#include "fwinfo_data.h"

/* Read fwinfo structure from flash.
 * Return -1 if can't read for whatever reason, 0 if ok.
 * Return default NOR flash info if media is NOR and no structure found.
 * device is device to use, defaults to /dev/part/rescue if NULL or length = 0
 */
int read_flash_fwinfo(const char *device, struct fwinfo *flash_fwinfo);

/* Read fwinfo structure from supplied firmware image pointer.
 * Return -1 if structure cannot be found, 0 if ok.
 */
int read_fimage_fwinfo(const char *fimage, struct fwinfo *fimage_fwinfo);

#endif /* _FWINFO_H */

/******************************* END OF FILE ********************************/
